Mark All Notifications as Read
curl --request PATCH \
--url https://api.replyke.com/api/v6/:projectId/api/v7/app-notifications/mark-all-as-readimport requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/app-notifications/mark-all-as-read"
response = requests.patch(url)
print(response.text)const options = {method: 'PATCH'};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/app-notifications/mark-all-as-read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"markedAsRead": 123
}App Notification Endpoints
Mark All Notifications as Read
Mark all unread notifications as read for the authenticated user
PATCH
/
:projectId
/
api
/
v7
/
app-notifications
/
mark-all-as-read
Mark All Notifications as Read
Marks all unread notifications as read for the currently authenticated user. Only notifications that are currently
Example:
isRead: false are updated.
This endpoint requires an authenticated user. Include a valid
Authorization: Bearer <accessToken> header.Response
Returns HTTP200 with the number of notifications that were updated:
number
The count of notifications that were updated from unread to read. Returns
0 if there were no unread notifications.{
"markedAsRead": 12
}
Error Responses
Unauthorized — 401
Unauthorized — 401
{
"error": "Unauthorized",
"code": "auth/unauthorized"
}

